
From: Chris Wright <chrisw@osdl.org>,
      John Levon <levon@movementarian.org>

Update comments in register_security to reflect reality



 security/security.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

diff -puN security/security.c~lsm-comment-fix security/security.c
--- 25/security/security.c~lsm-comment-fix	2003-09-13 12:19:42.000000000 -0700
+++ 25-akpm/security/security.c	2003-09-13 12:19:42.000000000 -0700
@@ -79,9 +79,8 @@ int __init security_scaffolding_startup 
  * value passed to this function.  A call to unregister_security() should be
  * done to remove this security_options structure from the kernel.
  *
- * If the @ops structure does not contain function pointers for all hooks in
- * the structure, or there is already a security module registered with the
- * kernel, an error will be returned.  Otherwise 0 is returned on success.
+ * If there is already a security module registered with the kernel,
+ * an error will be returned.  Otherwise 0 is returned on success.
  */
 int register_security (struct security_operations *ops)
 {

_
